Subject: Re: [PATCH] doc: replace jargon word "impact" with "effect"/"affect"

From: Felipe Contreras <[email-masked]>
Date: Tue, 11 May 2021 21:24:11 -0500

Jeff King wrote:
> On Tue, Apr 06, 2021 at 02:36:27PM -0500, Varun Varada wrote:
> 
> > > while using "will not impact" in an incorrect or unclear way may be a
> > > problem the word "impact" in itself is not "jargon".
> > 
> > The word means "to have a strong or marked effect on" (v.) and "a
> > strong or market influence" (n.) when used figuratively; it is not
> > synonymous with "affect" and "effect", respectively, as shown even by
> > all of the entries you've cited. Using it as such is the incorrect
> > part, so those are the instances I've changed in the diff.
> 
> Er, is that true? From Michal's definitions:
> 
> > > From The Collaborative International Dictionary of English v.0.48 :
> > [...]
> > >      2. To affect or influence, especially in a significant or
> 
> It literally uses "affect" to define it. The "especially significant"
> does not apply to many, but I don't think that makes it necessarily
> wrong to use impact to mean "affect".

It's not necessarily wrong, but it's also not quite right.

You can say "the financial crisis impacted Jeff Bezos", because he was
affected, but was he *especially* affected? Nah. On the other hand "the
financial crisis affected Jeff Bezos" is something much less
problematic.

> Likewise:
> 
> > > From WordNet (r) 3.0 (2006) :
> > [...]
> > >       v 1: press or wedge together; pack together
> > >       2: have an effect upon; "Will the new rules affect me?" [syn:
> > >          affect, impact, bear upon, bear on, touch on,
> > >          touch]
> 
> That is likewise listing "impact" and "affect" as synonyms.

A synonym can be a word with nearly the same meaning in some senses. Not
necessarily exactly the same meaning in all senses.

> I do agree the word is over-used in some forms of writing, but I don't
> find anything at all confusing or wrong about the uses that you changed
> in your patch.

It doesn't need to be confusing to be changed. Most of the changes in
the code are not because the original version is confusing, but because
the new version is simply better.

Do you have any instance in which a sentence with "impact" is *better*
than whith one with affect/effect?

-- 
Felipe Contreras